<?php

namespace MGModule\DNSManager2\mgLibs\custom\dns\record\type;

class NSEC extends RecordTypeAbstract {
    public $nextownername;
    public $recordtypes;

    /**
     * @param string $nextownername valid record name
     * @return bool
     */
    public function nextownernameValidate($nextownername)
    {
        return (bool)preg_match('/[a-z.\-0-9]+/i', $nextownername);
    }
    public function __construct($nextownername = '', $recordtypes = '')
    {
        $this->setNextOwnerName($nextownername);
        $this->setRecordTypes($recordtypes);
    }
    
    function getNextOwnerName() {
        return $this->nexthashowner;
    }
    
    function getRecordTypes() {
        return $this->recordtypes;
    }
    
    function setNextOwnerName($nextownername) {
        $this->nexthashowner = $nextownername;
    }
    
    function setRecordTypes($recordtypes) {
        $this->recordtypes = $recordtypes;
    }

}